| Home | Libraries | People | FAQ | More

## Struct template const_cast_

boost::xpressive::op::const_cast_ — `const_cast_<>` is a PolymorphicFunctionObject for const-casting a parameter to a cv qualification.

## Synopsis

    // In header: <boost/xpressive/xpressive_fwd.hpp>

    template<typename T>
    struct const_cast_ {

      // public member functions
      template<typename Value> T operator()(Value const &) const;
    };

## Description

### Template Parameters

1.     typename T

   The type to which to const-cast the parameter.

### `const_cast_` public member functions

1.     template<typename Value> T operator()(Value const & val) const;

   Parameters:

   `val` | The value to const-cast.

   Requires: | Types `T` and `Value` differ only in cv-qualification.
   Returns: | `const_cast<T>(val)`